import { tableCellContentDomSelector, tableCellSelector, tableHeaderSelector, tablePrefixSelector } from '@atlaskit/adf-schema';
export var TableSharedCssClassName = {
  TABLE_CONTAINER: "".concat(tablePrefixSelector, "-container"),
  TABLE_NODE_WRAPPER: "".concat(tablePrefixSelector, "-wrapper"),
  TABLE_NODE_WRAPPER_NO_OVERFLOW: "".concat(tablePrefixSelector, "-wrapper-no-overflow"),
  TABLE_SCROLL_INLINE_SHADOW: "".concat(tablePrefixSelector, "-scroll-inline-shadow"),
  TABLE_RIGHT_BORDER: "".concat(tablePrefixSelector, "-right-border"),
  TABLE_LEFT_BORDER: "".concat(tablePrefixSelector, "-left-border"),
  TABLE_LEFT_SHADOW: "".concat(tablePrefixSelector, "-with-left-shadow"),
  TABLE_NATIVE_STICKY: "".concat(tablePrefixSelector, "-row-native-sticky"),
  TABLE_RIGHT_SHADOW: "".concat(tablePrefixSelector, "-with-right-shadow"),
  TABLE_STICKY_SHADOW: "".concat(tablePrefixSelector, "-sticky-shadow"),
  TABLE_STICKY_WRAPPER: "".concat(tablePrefixSelector, "-sticky-wrapper"),
  TABLE_STICKY_SCROLLBAR_CONTAINER: "".concat(tablePrefixSelector, "-sticky-scrollbar-container"),
  TABLE_STICKY_SENTINEL_TOP: "".concat(tablePrefixSelector, "-sticky-sentinel-top"),
  TABLE_STICKY_SENTINEL_BOTTOM: "".concat(tablePrefixSelector, "-sticky-sentinel-bottom"),
  TABLE_STICKY_SCROLLBAR_SENTINEL_TOP: "".concat(tablePrefixSelector, "-sticky-scrollbar-sentinel-top"),
  TABLE_STICKY_SCROLLBAR_SENTINEL_BOTTOM: "".concat(tablePrefixSelector, "-sticky-scrollbar-sentinel-bottom"),
  TABLE_SHADOW_SENTINEL_LEFT: "".concat(tablePrefixSelector, "-shadow-sentinel-left"),
  TABLE_SHADOW_SENTINEL_RIGHT: "".concat(tablePrefixSelector, "-shadow-sentinel-right"),
  TABLE_STICKY: "".concat(tablePrefixSelector, "-sticky"),
  // eslint-disable-next-line @atlaskit/editor/no-re-export
  TABLE_CELL_NODEVIEW_CONTENT_DOM: tableCellContentDomSelector,
  // eslint-disable-next-line @atlaskit/editor/no-re-export
  TABLE_CELL_WRAPPER: tableCellSelector,
  // eslint-disable-next-line @atlaskit/editor/no-re-export
  TABLE_HEADER_CELL_WRAPPER: tableHeaderSelector,
  TABLE_ROW_CONTROLS_WRAPPER: "".concat(tablePrefixSelector, "-row-controls-wrapper"),
  TABLE_COLUMN_CONTROLS_DECORATIONS: "".concat(tablePrefixSelector, "-column-controls-decoration"),
  TABLE_RESIZER_CONTAINER: "".concat(tablePrefixSelector, "-resizer-container"),
  TABLE_VIEW_CONTENT_WRAP: 'tableView-content-wrap'
};